<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-store-events.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{buyTickets}">Tienda - Comprar Entradas</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row" th:if="${prods.empty}">
    <div class="alert alert-info" role="alert">
        <span th:text="#{noAvailableEvents}">No se encontraron eventos disponibles en este momento.</span>
    </div>
</div>

<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="x_panel">
        <div class="x_content">
            <div class="row">
                <div class="col-md-4 col-sm-4 col-xs-12 profile_details" th:each="item : ${prods}">

                    <img class="ribbon" src="/img/agotado.png" style="position: absolute;top: 0;right: 11px;" width="100px" th:if="${item.event.soldOut}"/>

                    <div class="well profile_view" th:fragment="event-product-store">
                        <div class="col-sm-12">
                            <div class="left col-xs-7" style="margin-top: 0px !important;">
                                <h3 th:text="${item.name}">Nombre Producto</h3>
                                <p th:text="${item.event.name}">Nombre evento</p>

                                <ul class="list-unstyled">
                                    <li>
                                        <i class="fa fa-map-marker"></i>
                                        <span th:text="${item.event.place != null ? item.event.place : ''}" th:title="${item.event.placeAddress != null ? item.event.placeAddress : ''}"></span>
                                        <!--<small th:text="${item.event.placeAddress != null ? item.event.placeAddress : ''}"></small>-->
                                    </li>
                                    <li><i class="fa fa-calendar"></i>
                                        <span th:text="${item.event.date != null ? item.event.date : ''}"></span>
                                        <span th:text="${item.event.hour != null ? item.event.hour : ''}"></span>
                                    </li>
                                    <!--<li><i class="fa fa-ticket"></i> Cantidad de entradas: <strong th:text="${item.quantity}"></strong></li>-->
                                </ul>
                                <div class="">
                                    <h2 style="display: inline" th:text="#{mytickets.tickets} + ':'">Entradas:</h2>&nbsp;<h2 style="display: inline"><strong th:text="${item.quantity}"></strong></h2>
                                </div>
                                <br/>

                                <span th:if="${item.memberDiscount}">
                                    <h6 class="text-danger"><i><span th:text="${item.getDiscountPercent()}">30</span><span th:text="#{discountPayingWithCom}">% Descuento pagando con comisiones</i></span></h6>
                                </span>
                                <span th:if="${!item.memberDiscount}">
                                    <h6><i>&nbsp;</i></h6>
                                </span>                                
                            </div>
                            <div class="right col-xs-5 text-center">
                                <img th:src="'open/event/' + ${item.event.image}" width="150" height="150" onerror="this.src='/img/no_logo.png'" class="img-circle"/>
                            </div>
                        </div>

                        <div class="col-xs-12 bottom text-center">
                            <div class="col-xs-12 col-sm-6 emphasis">
                                <strong class="price-tax blue" th:text="${item.getPriceText()}" th:if="${item.status != 'internal'}"></strong>
                                <strong class="price-tax blue" th:if="${item.status == 'internal'}" th:text="#{gift}">Regalo</strong>
                            </div>
                            <div class="col-xs-12 col-sm-6 emphasis">
                                <!--<button type="button" class="btn btn-success btn-xs"> 
                                    <i class="fa fa-user"></i> <i class="fa fa-comments-o"></i> 
                                </button>-->
                                <a type="button" class="btn btn-primary btn-xs action-button" 
                                   id="buy-tickets"
                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                   th:if="${item.status != 'internal' && !item.event.soldOut}"
                                   href="#" 
                                   >
                                    <i class="fa fa-shopping-cart"></i>&nbsp;
<!--                                    <span th:text="#{members.store.buy}">Comprar</span>-->
                                    Comprar
                                </a>
                                <a type="button" class="btn btn-primary btn-xs action-button" 
                                   id="give-tickets"
                                   th:if="${item.status == 'internal'}"
                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                   href="#">
                                    <i class="fa fa-gift"></i>&nbsp;
                                    <!--                                    <span th:text="#{giveAway}">Regalar</span>-->
                                    Regalar
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
